#2735 closed defect (fixed)

pthread_setschedparam() sets the priority not according to POSIX

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: posix Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

See also

http://pubs.opengroup.org/onlinepubs/9699919799/functions/V2_chap02.html#tag_15_08_04_01

In particular the distinction to pthread_setschedprio() (SCHED_FIFO, item 7.).

Change History (5)

comment:1 Changed on Jun 13, 2016 at 1:10:14 PM by Sebastian Huber

Owner: set to Sebastian Huber
Status: newassigned
Summary: pthread_setschedparam() set the priority not according to POSIXpthread_setschedparam() sets the priority not according to POSIX

comment:2 Changed on Jun 13, 2016 at 1:20:19 PM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In fc30ac5973aae2393fb318b56346368f5e9b4493/rtems:

posix: Fix pthread_setschedparam()

Close #2735.

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Oct 16, 2017 at 6:17:09 AM by Sebastian Huber

Component: scoreposix

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.